<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__flow__spec__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_flow_spec_t</compoundname>
    <includes local="no">wiced_bt_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__flow__spec__t_1afe795b08b556ade0405dc3ed8f9a53ab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_flow_spec_t::qos_flags</definition>
        <argsstring />
        <name>qos_flags</name>
        <briefdescription>
<para>Quality of service flag. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="128" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="128" />
      </memberdef>
      <memberdef id="structwiced__bt__flow__spec__t_1a9c3356ff7f5cde79de835eccc0aa0ef8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_flow_spec_t::service_type</definition>
        <argsstring />
        <name>service_type</name>
        <briefdescription>
<para>service type (NO_TRAFFIC, BEST_EFFORT, or GUARANTEED) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="129" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="129" />
      </memberdef>
      <memberdef id="structwiced__bt__flow__spec__t_1aab51a7692589e5bb14821ded70745708" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_flow_spec_t::token_rate</definition>
        <argsstring />
        <name>token_rate</name>
        <briefdescription>
<para>token rate (bytes/second) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="130" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="130" />
      </memberdef>
      <memberdef id="structwiced__bt__flow__spec__t_1af4eb9b1a97b8dc3f732bf2124d43e1a0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_flow_spec_t::token_bucket_size</definition>
        <argsstring />
        <name>token_bucket_size</name>
        <briefdescription>
<para>token bucket size (bytes) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="131" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="131" />
      </memberdef>
      <memberdef id="structwiced__bt__flow__spec__t_1ad711c78a4e64edcd6d8dbbc037638c57" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_flow_spec_t::peak_bandwidth</definition>
        <argsstring />
        <name>peak_bandwidth</name>
        <briefdescription>
<para>peak bandwidth (bytes/second) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="132" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="132" />
      </memberdef>
      <memberdef id="structwiced__bt__flow__spec__t_1a218ecc67c47b3ca9a223f093dd86e91f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_flow_spec_t::latency</definition>
        <argsstring />
        <name>latency</name>
        <briefdescription>
<para>latency (microseconds) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="133" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="133" />
      </memberdef>
      <memberdef id="structwiced__bt__flow__spec__t_1a6e6a9b6233b29a7dcab88b5acbd156a2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_flow_spec_t::delay_variation</definition>
        <argsstring />
        <name>delay_variation</name>
        <briefdescription>
<para>delay variation (microseconds) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="134" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="134" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Bluetooth QoS defintions. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="135" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="127" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="127" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1a6e6a9b6233b29a7dcab88b5acbd156a2" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>delay_variation</name></member>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1a218ecc67c47b3ca9a223f093dd86e91f" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>latency</name></member>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1ad711c78a4e64edcd6d8dbbc037638c57" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>peak_bandwidth</name></member>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1afe795b08b556ade0405dc3ed8f9a53ab" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>qos_flags</name></member>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1a9c3356ff7f5cde79de835eccc0aa0ef8" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>service_type</name></member>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1af4eb9b1a97b8dc3f732bf2124d43e1a0" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>token_bucket_size</name></member>
      <member prot="public" refid="structwiced__bt__flow__spec__t_1aab51a7692589e5bb14821ded70745708" virt="non-virtual"><scope>wiced_bt_flow_spec_t</scope><name>token_rate</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>